# Contributing to ASReview
Hello dear contributor-to-be! :wave:

We're happy to see you're considering contributing to ASReview.
We'd love to collaborate with you!
Below you will find some guidelines for contributing to ASReview.

#### Feel free to propose changes of any kind!
Your ideas and input are very much appreciated.
From contributing to source code to improving readability of the documentation, all suggestions are welcome!

There are multiple ways to contribute:
- [Reporting bugs](#reporting-bugs) :bug: :ant: :beetle:
- [Suggesting enhancements](#feature-request)
- [Contribute code](#contribute-code)

##  Reporting Bugs
Found a glitch in the matrix?
Please let us know by opening [an issue](https://github.com/asreview/asreview/issues/new/choose)! Make sure to choose the Bug issue template.

## Feature request
Got a suggestion for enhancement of ASReview?
Let us know by [filing an issue](https://github.com/asreview/asreview/issues/new/choose), choosing the Feature request template.

## Contribute code
Want to try to fix the bug you found?
Build your feature request yourself?
Be our guest! :heart_eyes:
You can submit your changes to ASReview [by creating a pull request](https://github.com/asreview/asreview/pull/new/master).

#### Unsure where to begin? Here are a few examples:  
- Improve our [documentation](https://asreview.readthedocs.io/en/latest/). :memo:
- Propose a fix to an existing issue. :warning:
  - See the [issue list here](https://github.com/asreview/asreview/issues).
- Add a new dataset to [our open dataset repository](https://github.com/asreview/systematic-review-datasets/pull/11)
  - See this [pull request](https://github.com/asreview/systematic-review-datasets/pull/11)) for an example.

## First timer?
Do you have little experience with contributing to open-source project and working with GitHub? :octocat: No worries! There are some amazing tutorials out there:

- [First timers only](https://www.firsttimersonly.com)
  - See the [first-contributions repo](https://github.com/firstcontributions/first-contributions) for a tutorial on how to contribute code.
- [How To Contribute To An Open Source Project on GitHub](https://egghead.io/courses/how-to-contribute-to-an-open-source-project-on-github).
- [Mastering Issues](https://guides.github.com/features/issues/) by GitHub.
- [About Pull Requests](https://help.github.com/en/github/collaborating-with-issues-and-pull-requests/about-pull-requests) by GitHub.

## Life after the pull request
Our maintainers will carefully review your pull request.
We get back at you as soon as possible, and hope and integrating your suggestions into our project.
We are looking forward to integrating your contributions into ASReview!

## Need more information?
If you have any more questions, do not hesitate to send an e-mail to asreview@uu.nl.

Thanks again for your contribution, the ASReview team. :yellow_heart:
